#version 420 core

layout(location = 0) in vec2 position;
layout(location = 1) in vec3 color;
layout(location = 2) in vec2 texture;

out vec3 Color;

out vec2 texture_interpolated;

uniform mat4 view;
uniform mat4 proj;
uniform mat4 backgroundModel;

void main(){

texture_interpolated = texture;

// remove view * backgroundModel for static background

gl_Position = proj * view * backgroundModel * vec4(position, 0.0, 1.0);
Color = color;
}
