#version 420 core

layout(location = 0) in vec2 position;
layout(location = 1) in vec3 color;
layout(location = 2) in vec2 texture;

uniform mat4 proj;
uniform mat4 model;
uniform mat4 view;

out vec3 Color;

out vec2 texture_interpolated;

void main(){

texture_interpolated = texture;

gl_Position = proj * view *  model * vec4(position, 0.0, 1.0);
Color = color;
}
